close all; clear all; clc;

%% Načtení dat
% Jména obrazů
imagefiles = dir('*.png');

% Počet obrazů
nfiles = length(imagefiles);

% Cyklus načtení obrazu a jeho uložení na binární obraz
for ii=1:nfiles
    % Aktuální jméno 
    names = imagefiles(ii).name;
    
    % Rozdělení jména podle kritéria
    new_names = strsplit(names, '.');
    
    % Vytvoření adresy uložení
    directory = strcat('C:\Users\Acer\Desktop\data\CT\', new_names{1}, '.png');
    
    % Načtení obrazu podle jména
    image = imread(names);
    
    % Vybrání pouze červené (ručně vysegmentovaná oblast)
    image = image(:,:,1);
    
    % Zjištění velikosti obrazu
    [row, col] = size (image);
    for R=1:row
       for C=1:col
           % Rozohodovací pravidlo (255 je 255 ostatmí je 0)
           if image(R,C)==255
               image(R,C)=255;
           else image(R,C)=0;
           end
       end
    end
    
    % Uložení výsledku jako binární obraz
    vysledek = imbinarize(image);
    imwrite(vysledek, directory);
end